#!/bin/sh

set -e

#PKGOS-INCLUDE#

run_db_sync (){

	NEUTRON_CONF="/etc/neutron/neutron.conf"

	# Check if we are on server side of neutron
	if [ -e /etc/init.d/neutron-rpc-server ] || systemctl -q is-enabled neutron-rpc-server.service ; then
		# We have to check if connection is set in [database] config
		pkgos_inifile get ${NEUTRON_CONF} database connection
		if echo ${RET} | egrep 'mysql(\+pymysql)?:.*:.*@.*\/.*' > /dev/null; then
		        echo "===> python3-neutron-fwaas: Now running \"neutron-db-manage --subproject neutron-fwaas upgrade head\", this may take a while..."
		        su neutron -s /bin/sh -c "neutron-db-manage --subproject neutron-fwaas upgrade head" || true
		else
		        echo "===> python3-neutron-fwaas: \"neutron-db-manage --subproject neutron-fwaas upgrade head\" needs database.connection set. Sorry."
		fi
	else
		echo "===> python3-neutron-fwaas: Found that you install agent-side neutron-fwaas, db migration will not be run."
	fi

}

if [ "$1" = "configure" ] || [ "$1" = "reconfigure" ] ; then
	. /usr/share/debconf/confmodule

	db_get neutron-fwaas/configure-fwaas
	if [ "$RET" = "true" ]; then
		run_db_sync
		# Enable service_plugin firewall_v2
		if which neutron-plugin-manage > /dev/null ; then
			neutron-plugin-manage enable --service-plugin firewall_v2
		fi
	fi

	db_unregister neutron-fwaas/configure-fwaas
	db_stop
fi

#DEBHELPER#

exit 0
